package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

public class OrderDetailsReport {

    /**
     * success : true
     * sysTime : 1597391944112
     * data : {"billNumSum":17,"list":[{"orderType":"堂食","billNum":2,"payAmount":164,"percentage":28.16},{"orderType":"外賣","billNum":1,"payAmount":89.1,"percentage":15.3},{"orderType":"自取","billNum":14,"payAmount":329.2,"percentage":56.53}],"amountSum":582.3}
     */
    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * billNumSum : 17
         * list : [{"orderType":"堂食","billNum":2,"payAmount":164,"percentage":28.16},{"orderType":"外賣","billNum":1,"payAmount":89.1,"percentage":15.3},{"orderType":"自取","billNum":14,"payAmount":329.2,"percentage":56.53}]
         * amountSum : 582.3
         */

        private int billNumSum;
        private double amountSum;
        private List<ListBean> list;

        public int getBillNumSum() {
            return billNumSum;
        }

        public void setBillNumSum(int billNumSum) {
            this.billNumSum = billNumSum;
        }

        public double getAmountSum() {
            return amountSum;
        }

        public void setAmountSum(double amountSum) {
            this.amountSum = amountSum;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * orderType : 堂食
             * billNum : 2
             * payAmount : 164.0
             * percentage : 28.16
             */

            private String orderType;
            private int billNum;
            private double payAmount;
            private double percentage;

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public int getBillNum() {
                return billNum;
            }

            public void setBillNum(int billNum) {
                this.billNum = billNum;
            }

            public double getPayAmount() {
                return payAmount;
            }

            public void setPayAmount(double payAmount) {
                this.payAmount = payAmount;
            }

            public double getPercentage() {
                return percentage;
            }

            public void setPercentage(double percentage) {
                this.percentage = percentage;
            }
        }
    }
}
